package org.rcisoft.business.system.user.dao;

import org.apache.ibatis.annotations.Param;
import org.rcisoft.business.system.user.entity.SysPrincipal;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

/**
 * @Author: GaoLiWei
 * @Date: Created in 10:422018/5/2
 */
@Repository
public interface PrincipalRepository extends BaseMapper<SysPrincipal>{


    /**  根据userId查询团队负责人信息
     * @param userId
     * @return
     */
    SysPrincipal getSysPrincipalByUserId(@Param("userId") String userId);

    /**  根据userId删除团队负责人信息
     * @param userId
     * @return
     */
    Integer deleteSysPrincipalByUserId(@Param("userId") String userId);

}
