package org.rcisoft.business.system.user.dao;


import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.business.system.user.entity.RelUserRole;
import org.rcisoft.core.base.BaseMapper;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* Created with  on 2018-5-2 17:49:38.
*/
@Repository
public interface RelUserRoleRepository extends BaseMapper<RelUserRole> {


    /** 根据userId查看该用户可以查看的菜单
     * @param userId
     * @return
     */
    List<Map<String,Object>> listMenuBuUserId(@Param("userId") String userId);

    /**
     * 查詢所有菜單
     * @return
     */
    @Select("<script>select * from sys_menu</script>")
    List<Map<String,Object>> listMenuAll();





}

